## mozilla-firefox-locale-ko 1.0-1

=== debian/changelog ===
mozilla-firefox-locale-ko (1.0-1) unstable; urgency=low

  * New upstream release (closes: #281500).
  * Changes in depend field of control file.

 -- Yooseong Yang <yooseong@debian.org>  Thu, 18 Nov 2004 14:15:14 +0900

mozilla-firefox-locale-ko (0.9.1) unstable; urgency=low

  * Initial Release (closes: #276442).

 -- Yooseong Yang <yooseong@debian.org>  Fri, 15 Oct 2004 15:35:14 +0900
