=== debian/control ===
Source: mozilla-firefox-locale-ko
Section: web
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends-Indep: debhelper (>= 4.0.0), unzip (>> 5.0)
Standards-Version: 3.6.1


Package: mozilla-firefox-locale-ko
Architecture: all
Depends: mozilla-firefox (>= 1.0), mozilla-firefox (<= 1.0.99)
Description: Mozilla Firefox Korean Language/Region Package
 Korean Menu/Message resource and Region property package
 for Mozilla Firefox.
