=== debian/rules ===
#!/usr/bin/make -f
# Based on mozilla-firefox-locale-uk
# Thanks to Eugeniy Meshcheryakov <eugen@univ.kiev.ua>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDDIR = $(CURDIR)/debian/build
UID = {dcff4b08-a6cc-4588-a941-852609855803}

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	mkdir -p $(BUILDDIR)
	unzip -d $(BUILDDIR) $(CURDIR)/*.xpi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-rm -rf $(BUILDDIR)

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -m 644 $(BUILDDIR)/install.rdf \
		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/extensions/$(UID)/
	install -m 644 $(BUILDDIR)/chrome/ko-KR.jar \
	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/extensions/$(UID)/chrome/
#	install -m 644 $(BUILDDIR)/chrome/ko-unix.jar \
#	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/chrome/
#	install -m 644 $(BUILDDIR)/chrome/ko-mac.jar \
#	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/chrome/
#	install -m 644 $(BUILDDIR)/chrome/ko-win.jar \
#	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/chrome/
#	install -m 644 $(BUILDDIR)/chrome/KR.jar \
#	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/chrome/
#	install -m 644 $(BUILDDIR)/chrome/lpswitcher.jar \
#	        $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/chrome/lpswitcher-ko-KR.jar
	
	echo extension,$(UID) > $(CURDIR)/debian/mozilla-firefox-locale-ko/var/lib/mozilla-firefox/extensions.d/50_locale-ko
	echo extension,$(UID) > $(CURDIR)/debian/mozilla-firefox-locale-ko/var/lib/mozilla-firefox/extensions.d/50_locale-ko
#	install -m 644 $(CURDIR)/debian/50ko-locale $(CURDIR)/debian/mozilla-firefox-locale-ko/var/lib/mozilla-firefox/chrome.d
	echo "ko:KR" > debian/mozilla-firefox-locale-ko/var/lib/mozilla-firefox/locales.d/50_locale-ko-KR

#	Install profile, bookmarks etc.
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/bookmarks.html \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/etc/mozilla-firefox/profile/KR/
#	ln -sf /etc/mozilla-firefox/profile/KR/bookmarks.html $(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/bookmarks.html
# This goes into subdir
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/chrome/userChrome-example.css \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/chrome/
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/chrome/userContent-example.css \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/chrome/

# This goes into KR dir again.
#	install -m 644 $(BUILDDIR)/install.rdf \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/mimeTypes.rdf \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/panels.rdf \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR/
#	install -m 644 $(BUILDDIR)/defaults/profile/KR/search.rdf \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/defaults/profile/KR
#	Leave this out for now to avoid collision with the search plugin contained in mozilla-firefox
#	install -m 644 $(BUILDDIR)/sp/google.gif \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/searchplugins/
#	install -m 644 $(BUILDDIR)/sp/google.src \
#		$(CURDIR)/debian/mozilla-firefox-locale-ko/usr/lib/mozilla-firefox/searchplugins/google.src
#
# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs 
	dh_installchangelogs 
	dh_link 
	dh_compress 
	dh_fixperms 
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb 

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
