## mozilla-firefox-locale-ko 1.0-1ubuntu1

=== debian/changelog ===
mozilla-firefox-locale-ko (1.0-1ubuntu1) breezy; urgency=low

  * Adapted dependencies for mozilla-firefox -> firefox renaming and
    language-support packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2005 12:50:21 +0000
