=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 Package: mozilla-firefox-locale-ko
 Architecture: all
-Depends: mozilla-firefox (>= 1.0), mozilla-firefox (<= 1.0.99)
+Depends: firefox | language-support-ko
+Conflicts: firefox (<< 1.0), firefox (>= 1.1)
 Description: Mozilla Firefox Korean Language/Region Package
  Korean Menu/Message resource and Region property package
  for Mozilla Firefox.
